<?php

namespace App\Services\Contracts;

interface AikDigitalClientInterface
{
    public function getAccessToken(): string;
    public function applyToken(): string;
    public function revokeToken(): array;
    public function inquireUserInfo(string $uuid): array;
    public function createPayment(array $payload): array;
}